Subscribe:

Main Menu

Kamis, Juli 24, 2008

Maven : Compile Project Dg JDK 1.4 , 1.5 atau 1.6

Terkadang saya ingin mengcompile Project saya dengan JDK versi 1.4. terkadang juga saya perlu menyeting project saya untuk memakai JDK versi 1.5, kadang juga 1.6. dlam maven untuk menyetting ini. tinggal kita set di pom.xml nya.
Untuk memakai JDK versi 1.4 kayak gini

<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<source>1.5</source>
<target>jsr14</target>
</configuration>
</plugin>

;
Untuk memakai JDK versi 1.5 kayak gini

<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<source>1.5</source>
<target>1.5</target>
</configuration>
</plugin>

Untuk JDK versi 1.6 gini

<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>

0 komentar: